Bug 65356 - system lock up (freeze)
system lock up (freeze)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
www.intel.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-22 13:43 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-22 13:43:08 EDT
Description of Problem: System freezes randomly. This happened on several 
systems at random times. This happens in GUI mode and never seen if the X was 
disabled (running in init level 3). Lock-up was seen immediately after boot, 
while editing files, moving the mouse or even when system was untouched.


Version-Release number of selected component (if applicable):
7.3 beta, 7.3 release, 2.4.18-4 kernel.

How Reproducible:
Random , using gdm and may be playing with the mouse.


Steps to Reproduce:
1. Default install
2. 
3. 

Actual Results:
System hang

Expected Results:
System shouldn't hang for any reason. System must be recoverable without reboot


Additional Information:
One of the configuration.
Intel pentium 3 , 850MHz
Chips 69000 graphics adapter
Comment 1 Havoc Pennington 2002-05-22 14:04:16 EDT
Kernel or hardware bug, in all probability. Check whether the system is entirely
frozen - i.e. if you can't ssh into the system or ping it or switch to a virtual
console.
Comment 2 Arjan van de Ven 2002-05-22 14:33:02 EDT
CC'ing our XFree86 maintainer
Comment 3 Mike A. Harris 2002-05-22 14:36:25 EDT
The C&T 69000 does not work properly in 4.2.0 at all. I believe Intel
owns this technology though, so you might be in luck.  ;o)

Comment 4 Need Real Name 2002-05-22 17:37:44 EDT
We have seen this issue on NVidia / SGS Thomson (Joint Venture) Riva128 (rev 22)
vga compatible controller. so this may not be anything to do with C&T 69000 
controller.

When the system hangs, cannot ping or switch the terminal. Only solution is 
cold boot.
Comment 5 viktor 2002-05-26 06:17:01 EDT
This bug is hit me twice, different machines. After hanging, system answer ping,
but it not possible log in any way, not ssh, not console.

Another similarities, both time system is hang, when crond performs cron.daily jobs.

Both systems was X on running.

Systems: 633 Celeron, Intel 810 chipset. 1400 Athlon, Matrox G450.
Comment 6 Need Real Name 2002-06-05 18:48:03 EDT
On the same issue one time I got the following bug info instead of system freeze

Debugging Information:

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
0x420b4769 in wait4 () from /lib/i686/libc.so.6
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40143ff8 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
#3  <signal handler called>
#4  0x4207a251 in chunk_alloc () from /lib/i686/libc.so.6
#5  0x4207bba7 in calloc () from /lib/i686/libc.so.6
#6  0x404c491b in g_malloc0 () from /usr/lib/libglib-1.2.so.0
#7  0x40498f62 in gdk_pixmap_new () from /usr/lib/libgdk-1.2.so.0
#8  0x0808da76 in panel_widget_draw_all ()
#9  0x0808e927 in panel_widget_size_allocate ()
#10 0x403e0c68 in gtk_marshal_NONE__POINTER () from /usr/lib/libgtk-1.2.so.0
#11 0x404135a1 in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#12 0x404114d5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#13 0x4044aad8 in gtk_widget_size_allocate () from /usr/lib/libgtk-1.2.so.0
#14 0x403c5152 in gtk_frame_size_allocate () from /usr/lib/libgtk-1.2.so.0
#15 0x403e0c68 in gtk_marshal_NONE__POINTER () from /usr/lib/libgtk-1.2.so.0
#16 0x404135a1 in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#17 0x404114d5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#18 0x4044aad8 in gtk_widget_size_allocate () from /usr/lib/libgtk-1.2.so.0
#19 0x4039bd90 in gtk_container_resize_children ()
   from /usr/lib/libgtk-1.2.so.0
#20 0x404553ef in gtk_window_move_resize () from /usr/lib/libgtk-1.2.so.0
#21 0x40454c71 in gtk_window_check_resize () from /usr/lib/libgtk-1.2.so.0
#22 0x403e0d91 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#23 0x4041375d in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#24 0x404114d5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#25 0x4039ba4d in gtk_container_check_resize () from /usr/lib/libgtk-1.2.so.0
#26 0x4039b6b9 in gtk_container_idle_sizer () from /usr/lib/libgtk-1.2.so.0
#27 0x404c479d in g_idle_dispatch () from /usr/lib/libglib-1.2.so.0
#28 0x404c3773 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#29 0x404c3d39 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#30 0x404c3eec in g_main_run () from /usr/lib/libglib-1.2.so.0
#31 0x403df2e3 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#32 0x0805e7f2 in main ()
#33 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6
No symbol table info available.
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6
No symbol table info available.
#2  0x40143ff8 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x4207a251 in chunk_alloc () from /lib/i686/libc.so.6
No symbol table info available.
#5  0x4207bba7 in calloc () from /lib/i686/libc.so.6
No symbol table info available.
#6  0x404c491b in g_malloc0 () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#7  0x40498f62 in gdk_pixmap_new () from /usr/lib/libgdk-1.2.so.0
No symbol table info available.
Comment 7 Need Real Name 2002-07-18 19:41:23 EDT
I am using 2.4.18-5 to try it out.  It happens to my Toshiba 2510 CDS laptop.  
Some says that it was ACPI / APM related.  But I follow the advice to dsiable 
APM support as an argument to the kernel..  The same freeze happens randomly.

(1) It is using the C&T 69000.
(2) ACPI BIOS.
(3) It happened to KDE with X.

Arthur
Comment 8 Bugzilla owner 2004-09-30 11:39:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.